#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" ./configure --cpu=$(DEB_BUILD_ARCH) --disable-strip --prefix=/usr

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/flake $(MAKE) install-progs
	DESTDIR=$(CURDIR)/debian/libflake-dev $(MAKE) install-libs
	DESTDIR=$(CURDIR)/debian/libflake-dev $(MAKE) install-headers

override_dh_installchangelogs:
	dh_installchangelogs Changelog
